# GO
[SAMPLE]
accession java.lang.Integer 4201

[TEST_DATUM]
48109

[CORE]
FIELD_ANNOTATION SELECT name FROM go.term WHERE acc='@FIELD_ACCESSION@'
FIELD_TERM_TYPE SELECT term_type FROM go.term WHERE acc='@FIELD_ACCESSION@'
FIELD_DEFINITION SELECT term_definition FROM go.term, go.term_definition WHERE term_id = id AND acc = '@FIELD_ACCESSION@'
FIELD_SYNONYMS SELECT term_synonym FROM go.term, go.term_synonym WHERE term_id = id AND acc = '@FIELD_ACCESSION@'

[LINKAGE_TO]
#Other GO Terms in the graph
LINK_GO_CHILDREN SELECT child.acc FROM go.term AS child, go.term AS parent, go.term2term WHERE child.id=go.term2term.term2_id AND parent.id=go.term2term.term1_id AND parent.acc='@FIELD_ACCESSION@' GROUP BY child.acc
LINK_GO_PARENT SELECT parent.acc FROM go.term AS child, go.term AS parent, go.term2term WHERE child.id=go.term2term.term2_id AND parent.id=go.term2term.term1_id AND child.acc='@FIELD_ACCESSION@' GROUP BY parent.acc
#Subtypes of parental relationship
LINK_GO_PARTOF SELECT parent.acc FROM go.term AS child, go.term AS parent, go.term2term WHERE child.id=go.term2term.term2_id AND parent.id=go.term2term.term1_id AND go.term2term.relationship_type_id=3 AND child.acc='@FIELD_ACCESSION@' GROUP BY parent.acc
LINK_GO_ISA SELECT parent.acc FROM go.term AS child, go.term AS parent, go.term2term WHERE child.id=go.term2term.term2_id AND parent.id=go.term2term.term1_id AND go.term2term.relationship_type_id=5 AND child.acc='@FIELD_ACCESSION@' GROUP BY parent.acc
LINK_SWISSPROT SELECT db_symbol AS accession FROM GOA_SPTR__DATA WHERE GO_id = '@FIELD_ACCESSION@' GROUP BY db_symbol
LINK_FLYBASE     SELECT DISTINCT TRIM(LEADING '0' FROM SUBSTRING(FKDest__value, 7)) AS FIELD_ACCESSION, " " AS FIELD_ASSOCIATION FROM GO__DATA__LINKAGES$FLYBASE WHERE FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_FROM]
LINK_SWISSPROT SELECT GO_id AS FIELD_ACCESSION FROM GOA_SPTR__DATA WHERE db_symbol='@FIELD_ACCESSION@' GROUP BY GO_id
LINK_FLYBASE     SELECT DISTINCT FKSrc__value AS FIELD_ACCESSION, " " AS FIELD_ASSOCIATION FROM GO__DATA__LINKAGES$FLYBASE WHERE SUBSTRING(FKDest__value,5)=LPAD('@FIELD_ACCESSION@',7,'0')

[KEYWORD]
FIELD_ACCESSION SELECT acc FROM go.term WHERE %acc% LIKE '@keyword@'
FIELD_ANNOTATION SELECT acc FROM go.term WHERE %name% LIKE '@keyword@' GROUP BY name ORDER BY name ASC
FIELD_DEFINITION SELECT acc FROM go.term, go.term_definition WHERE term_id = id AND %term_definition% LIKE '@keyword@' GROUP BY acc ORDER BY acc ASC
FIELD_SYNONYMS SELECT acc FROM go.term, go.term_synonym WHERE term_id = id AND %term_synonym% LIKE '@keyword@' GROUP BY acc ORDER BY acc ASC
